io.vertx.rabbitmq

## Class RabbitMQOptions

- java.lang.Object
- - io.vertx.rabbitmq.RabbitMQOptions

-     public class RabbitMQOptions
      extends Object

  RabbitMQ client options, most
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_AUTOMATIC_RECOVERY_ENABLED` The default automatic recovery enabled = `false`
    `static Integer` | `DEFAULT_CONNECTION_RETRIES` The default connection retries = `null` (no retry)
    `static long` | `DEFAULT_CONNECTION_RETRY_DELAY` The default connection retry delay = `10000`
    `static int` | `DEFAULT_CONNECTION_TIMEOUT` The default connection timeout = `60000`
    `static int` | `DEFAULT_HANDSHAKE_TIMEOUT` The default handshake timeout = `10000`
    `static String` | `DEFAULT_HOST` The default host = `localhost`
    `static long` | `DEFAULT_NETWORK_RECOVERY_INTERNAL` The default network recovery internal = `5000`
    `static String` | `DEFAULT_PASSWORD` The default password = `guest`
    `static int` | `DEFAULT_PORT` The default port = `- 1` - `5671` for SSL otherwise `5672`
    `static int` | `DEFAULT_REQUESTED_CHANNEL_MAX` The default requested channel max = `0`
    `static int` | `DEFAULT_REQUESTED_HEARTBEAT` The default connection timeout = `60`
    `static String` | `DEFAULT_USER` The default user = `guest`
    `static String` | `DEFAULT_VIRTUAL_HOST` The default virtual host = `/`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RabbitMQOptions()`
    `RabbitMQOptions(JsonObject json)`
    `RabbitMQOptions(RabbitMQOptions that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.rabbitmq.client.Address>` | `getAddresses()`
    `Integer` | `getConnectionRetries()`
    `long` | `getConnectionRetryDelay()`
    `int` | `getConnectionTimeout()`
    `int` | `getHandshakeTimeout()`
    `String` | `getHost()`
    `boolean` | `getIncludeProperties()`
    `long` | `getNetworkRecoveryInterval()`
    `String` | `getPassword()`
    `int` | `getPort()`
    `int` | `getRequestedChannelMax()`
    `int` | `getRequestedHeartbeat()`
    `String` | `getUri()`
    `String` | `getUser()`
    `String` | `getVirtualHost()`
    `boolean` | `isAutomaticRecoveryEnabled()`
    `RabbitMQOptions` | `setAddresses(List<com.rabbitmq.client.Address> addresses)` Set multiple addresses for cluster mode.
    `RabbitMQOptions` | `setAutomaticRecoveryEnabled(boolean automaticRecoveryEnabled)` Enables or disables automatic connection recovery.
    `RabbitMQOptions` | `setConnectionRetries(Integer connectionRetries)` Set the number of connection retries to attempt when connecting, the `null` value disables it.
    `RabbitMQOptions` | `setConnectionRetryDelay(long connectionRetryDelay)` Set the delay in milliseconds between connection retries.
    `RabbitMQOptions` | `setConnectionTimeout(int connectionTimeout)` Set the TCP connection timeout, in milliseconds, `zero` for infinite).
    `RabbitMQOptions` | `setHandshakeTimeout(int handshakeTimeout)` Set the AMQP 0-9-1 protocol handshake timeout, in milliseconds
    `RabbitMQOptions` | `setHost(String host)` Set the default host to use for connections.
    `RabbitMQOptions` | `setIncludeProperties(boolean includeProperties)` Set wether to include properties when a broker message is passed on the event bus
    `RabbitMQOptions` | `setNetworkRecoveryInterval(long networkRecoveryInterval)` Set how long in milliseconds will automatic recovery wait before attempting to reconnect, default is `5000`
    `RabbitMQOptions` | `setPassword(String password)` Set the password to use when connecting to the broker.
    `RabbitMQOptions` | `setPort(int port)` Set the default port to use for connections.
    `RabbitMQOptions` | `setRequestedChannelMax(int requestedChannelMax)` Set the initially requested maximum channel number, `zero` for unlimited.
    `RabbitMQOptions` | `setRequestedHeartbeat(int requestedHeartbeat)` Set the initially requested heartbeat interval, in seconds, `zero` for none.
    `RabbitMQOptions` | `setUri(String uri)`
    `RabbitMQOptions` | `setUser(String user)` Set the AMQP user name to use when connecting to the broker.
    `RabbitMQOptions` | `setVirtualHost(String virtualHost)` Set the virtual host to use when connecting to the broker.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      The default port = `- 1` - `5671` for SSL otherwise `5672`
      See Also:
        Constant Field Values

    - #### DEFAULT_HOST

          public static final String DEFAULT_HOST

      The default host = `localhost`
      See Also:
        Constant Field Values

    - #### DEFAULT_USER

          public static final String DEFAULT_USER

      The default user = `guest`
      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD

          public static final String DEFAULT_PASSWORD

      The default password = `guest`
      See Also:
        Constant Field Values

    - #### DEFAULT_VIRTUAL_HOST

          public static final String DEFAULT_VIRTUAL_HOST

      The default virtual host = `/`
      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_TIMEOUT

          public static final int DEFAULT_CONNECTION_TIMEOUT

      The default connection timeout = `60000`
      See Also:
        Constant Field Values

    - #### DEFAULT_REQUESTED_HEARTBEAT

          public static final int DEFAULT_REQUESTED_HEARTBEAT

      The default connection timeout = `60`
      See Also:
        Constant Field Values

    - #### DEFAULT_HANDSHAKE_TIMEOUT

          public static final int DEFAULT_HANDSHAKE_TIMEOUT

      The default handshake timeout = `10000`
      See Also:
        Constant Field Values

    - #### DEFAULT_REQUESTED_CHANNEL_MAX

          public static final int DEFAULT_REQUESTED_CHANNEL_MAX

      The default requested channel max = `0`
      See Also:
        Constant Field Values

    - #### DEFAULT_NETWORK_RECOVERY_INTERNAL

          public static final long DEFAULT_NETWORK_RECOVERY_INTERNAL

      The default network recovery internal = `5000`
      See Also:
        Constant Field Values

    - #### DEFAULT_AUTOMATIC_RECOVERY_ENABLED

          public static final boolean DEFAULT_AUTOMATIC_RECOVERY_ENABLED

      The default automatic recovery enabled = `false`
      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_RETRY_DELAY

          public static final long DEFAULT_CONNECTION_RETRY_DELAY

      The default connection retry delay = `10000`
      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_RETRIES

          public static final Integer DEFAULT_CONNECTION_RETRIES

      The default connection retries = `null` (no retry)

  - ### Constructor Detail

    - #### RabbitMQOptions

          public RabbitMQOptions()

    - #### RabbitMQOptions

          public RabbitMQOptions(JsonObject json)

    - #### RabbitMQOptions

          public RabbitMQOptions(RabbitMQOptions that)

  - ### Method Detail

    - #### getConnectionRetries

          public Integer getConnectionRetries()

      Returns:
        the number of connection retries

    - #### setConnectionRetries

          public RabbitMQOptions setConnectionRetries(Integer connectionRetries)

      Set the number of connection retries to attempt when connecting, the `null` value disables it.
      Parameters:
        `connectionRetries` - the number of retries
      Returns:
        a reference to this, so the API can be used fluently

    - #### getConnectionRetryDelay

          public long getConnectionRetryDelay()

      Returns:
        the delay in milliseconds between connection retries

    - #### setConnectionRetryDelay

          public RabbitMQOptions setConnectionRetryDelay(long connectionRetryDelay)

      Set the delay in milliseconds between connection retries.
      Parameters:
        `connectionRetryDelay` - the delay in milliseconds
      Returns:
        a reference to this, so the API can be used fluently

    - #### getAddresses

          public List<com.rabbitmq.client.Address> getAddresses()

    - #### setAddresses

          public RabbitMQOptions setAddresses(List<com.rabbitmq.client.Address> addresses)

      Set multiple addresses for cluster mode.
      Parameters:
        `addresses` - addresses of AMQP cluster
      Returns:
        a reference to this, so the API can be used fluently

    - #### getUri

          public String getUri()

    - #### setUri

          public RabbitMQOptions setUri(String uri)

    - #### getUser

          public String getUser()

      Returns:
        the AMQP user name to use when connecting to the broker

    - #### setUser

          public RabbitMQOptions setUser(String user)

      Set the AMQP user name to use when connecting to the broker.
      Parameters:
        `user` - the user name
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPassword

          public String getPassword()

      Returns:
        the password to use when connecting to the broker

    - #### setPassword

          public RabbitMQOptions setPassword(String password)

      Set the password to use when connecting to the broker.
      Parameters:
        `password` - the password
      Returns:
        a reference to this, so the API can be used fluently

    - #### getHost

          public String getHost()

      Returns:
        the default host to use for connections

    - #### setHost

          public RabbitMQOptions setHost(String host)

      Set the default host to use for connections.
      Parameters:
        `host` - the default host
      Returns:
        a reference to this, so the API can be used fluently

    - #### getVirtualHost

          public String getVirtualHost()

      Returns:
        the virtual host to use when connecting to the broker

    - #### setVirtualHost

          public RabbitMQOptions setVirtualHost(String virtualHost)

      Set the virtual host to use when connecting to the broker.
      Parameters:
        `virtualHost` - the virtual host
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPort

          public int getPort()

      Returns:
        the default port to use for connections

    - #### setPort

          public RabbitMQOptions setPort(int port)

      Set the default port to use for connections.
      Parameters:
        `port` - the default port
      Returns:
        a reference to this, so the API can be used fluently

    - #### getConnectionTimeout

          public int getConnectionTimeout()

      Returns:
        the TCP connection timeout

    - #### setConnectionTimeout

          public RabbitMQOptions setConnectionTimeout(int connectionTimeout)

      Set the TCP connection timeout, in milliseconds, `zero` for infinite).
      Parameters:
        `connectionTimeout` - the timeouut in milliseconds.
      Returns:
        a reference to this, so the API can be used fluently

    - #### getRequestedHeartbeat

          public int getRequestedHeartbeat()

      Returns:
        the initially requested heartbeat interval

    - #### setRequestedHeartbeat

          public RabbitMQOptions setRequestedHeartbeat(int requestedHeartbeat)

      Set the initially requested heartbeat interval, in seconds, `zero` for none.
      Parameters:
        `requestedHeartbeat` - the request heartbeat interval
      Returns:
        a reference to this, so the API can be used fluently

    - #### getHandshakeTimeout

          public int getHandshakeTimeout()

      Returns:
        the AMQP 0-9-1 protocol handshake timeout

    - #### setHandshakeTimeout

          public RabbitMQOptions setHandshakeTimeout(int handshakeTimeout)

      Set the AMQP 0-9-1 protocol handshake timeout, in milliseconds
      Parameters:
        `handshakeTimeout` - the timeout in milliseconds
      Returns:
        a reference to this, so the API can be used fluently

    - #### getRequestedChannelMax

          public int getRequestedChannelMax()

      Returns:
        the initially requested maximum channel number

    - #### setRequestedChannelMax

          public RabbitMQOptions setRequestedChannelMax(int requestedChannelMax)

      Set the initially requested maximum channel number, `zero` for unlimited.
      Parameters:
        `requestedChannelMax` - the requested maximum channel number
      Returns:
        a reference to this, so the API can be used fluently

    - #### getNetworkRecoveryInterval

          public long getNetworkRecoveryInterval()

      Returns:
        automatic connection recovery interval

    - #### setNetworkRecoveryInterval

          public RabbitMQOptions setNetworkRecoveryInterval(long networkRecoveryInterval)

      Set how long in milliseconds will automatic recovery wait before attempting to reconnect, default is `5000`
      Parameters:
        `networkRecoveryInterval` - the connection recovery interval
      Returns:
        a reference to this, so the API can be used fluently

    - #### isAutomaticRecoveryEnabled

          public boolean isAutomaticRecoveryEnabled()

      Returns:
        `true` if automatic connection recovery is enabled, `false` otherwise

    - #### setAutomaticRecoveryEnabled

          public RabbitMQOptions setAutomaticRecoveryEnabled(boolean automaticRecoveryEnabled)

      Enables or disables automatic connection recovery.
      Parameters:
        `automaticRecoveryEnabled` - if `true`, enables connection recovery
      Returns:
        a reference to this, so the API can be used fluently

    - #### getIncludeProperties

          public boolean getIncludeProperties()

      Returns:
        wether to include properties when a broker message is passed on the event bus

    - #### setIncludeProperties

          public RabbitMQOptions setIncludeProperties(boolean includeProperties)

      Set wether to include properties when a broker message is passed on the event bus
      Parameters:
        `includeProperties` - wether to include properties
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2020 Eclipse. All rights reserved.